API Documentation
HomepagePricingContact
HomepagePricingContact
    • Get IP Address Data
      GET
    • Get Email Address Data
      GET
    • Generate Device Fingerprint
      POST
    • Get Fingerprint Data
      GET

      Generate Device Fingerprint

      Developing
      POST
      https://api.frauddefense.io/v1/device-fingerprint
      This API Use for get IP Info like countr,ISP,timezone etc

      Request

      Query Params

      Header Params

      Body Params application/jsonRequired

      Examples

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      🟠400API Key Missing
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.frauddefense.io/v1/device-fingerprint?key=f2210d83-e877-4b90-819c-a9b5ba3a535d' \
      --header 'Content-Type: application/json' \
      --data '{
          "apiKey": "f2210d83-e877-4b90-819c-a9b5ba3a535d",
          "payload": {
              "method": "API",
              "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/149.0.0.0 Safari/537.36",
              "language": "en-US",
              "languages": [
                  "en-US",
                  "en"
              ],
              "platform": "Win32",
              "cookieEnabled": true,
              "doNotTrack": null,
              "hardwareConcurrency": 12,
              "deviceMemory": 16,
              "maxTouchPoints": 0,
              "screenWidth": 1920,
              "screenHeight": 1080,
              "availWidth": 1920,
              "availHeight": 1040,
              "colorDepth": 32,
              "pixelDepth": 32,
              "pixelRatio": 1,
              "timezone": "Asia/Calcutta",
              "timezoneOffset": -330,
              "url": "https://web-frauddefense.hnproject.xyz/",
              "hostname": "web-frauddefense.hnproject.xyz",
              "pathname": "/",
              "protocol": "https:",
              "referrer": "",
              "online": true,
              "javaEnabled": false,
              "localStorage": true,
              "sessionStorage": true,
              "indexedDB": true,
              "innerWidth": 1920,
              "innerHeight": 202,
              "isJs": 1,
              "version": "1.0"
          }
      }'
      Response Response Example
      200 - Example 1
      {}
      Previous
      Get Email Address Data
      Next
      Get Fingerprint Data
      Built with